<?php
session_start();
//RESTRICCIN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

include ("../fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']='';

//Obtengo la fecha desde que inicia el periodo
$fecha_inicio_periodo=$row['desde'];
$fecha_fin_periodo=$row['hasta'];

if((isset($_POST['codigo'])) && ($_POST['consulta']) == 1){
  $codigo=$_POST['codigo'];
  $sql="SELECT * from personal where codigo='$codigo' AND id=".$_SESSION['id_validar']."";
  $result=mysqli_query($enlace,$sql);
  while($mostrar=mysqli_fetch_array($result)){
    $nombres=$mostrar['nombres'];
    $nombres1=$mostrar['nombres1'];
    $apellidos=$mostrar['apellidos'];
    $apellidos1=$mostrar['apellidos1'];
    $cargo=$mostrar['cargo'];
    $departamento=$mostrar['departamento'];
    $codigo_turno=$mostrar['turno'];
  }
  $nombre="$nombres $nombres1 $apellidos $apellidos1";
  $nombre= ucwords(strtolower($nombre));

  $sql="SELECT * FROM `tablas` WHERE `tabla` LIKE 'CARGO' and codigo='$cargo' AND id=".$_SESSION['id_validar']."";
  $result=mysqli_query($enlace,$sql);
  while($mostrar=mysqli_fetch_array($result)){
      $nombre_cargo=ucwords(strtolower($mostrar['detalle']));
  }

  $sql="SELECT * FROM `tablas` WHERE `tabla` LIKE 'Departamento' and codigo='$departamento' AND id=".$_SESSION['id_validar']."";
  $result=mysqli_query($enlace,$sql);
  while($mostrar=mysqli_fetch_array($result)){
      $nombre_departamento=ucwords(strtolower($mostrar['detalle']));
  }

  //Consulta turno
  if ($codigo_turno==''){
    $horario=''; // Funcionario no tiene turno asignado
  }else{
    $sql="SELECT CONCAT(lun1,'-',lun4) AS lunes, CONCAT(mar1,'-',mar4) AS martes, CONCAT(mie1,'-',mie4) AS miercoles, CONCAT(jue1,'-',jue4) AS jueves, CONCAT(vie1,'-',vie4) AS viernes, CONCAT(sab1,'-',sab4) AS sabado, CONCAT(dom1,'-',dom4) AS domingo FROM `turno` where codigo ='$codigo_turno' AND id=".$_SESSION['id_validar']."" ;
		$result = mysqli_query($enlace,$sql);
		$mostrar=mysqli_fetch_array($result);
    $array_dias = array('lunes','martes','miercoles','jueves','viernes','sabado','domingo');
    foreach ($array_dias as &$dia ){
      $sql_tipo_dia="SELECT th.codigo_turno, th.$dia AS codigo_dia, thc.tipo_dia from  turno_horario AS th
      left join turno_horario_conceptos AS thc ON th.$dia = thc.codigo_horario where th.codigo_turno = $codigo_turno AND th.id=".$_SESSION['id_validar']."";
      $result_tipo_dia = mysqli_query($enlace,$sql_tipo_dia);
      $mostrar_tipo_dia= mysqli_fetch_array($result_tipo_dia);
      //Construye la impresión de días y sus horarios de trabajo correspondientes con días de descanso y compensatorios
      if(($mostrar[$dia]=='-') || ($mostrar[$dia]=='')){
        switch ($mostrar_tipo_dia['tipo_dia']) {
          case 'C':
            $tipo_dia='Compensatorio';
            break;
          case 'D1':
            $tipo_dia='Primer día de descanso';
            break;
          case 'D2':
            $tipo_dia='Segundo día de descanso';
            break;
          default:
            $tipo_dia='';
            break;
        }
      $$dia = ucwords($dia).": ".$tipo_dia."<br>";
      }else{
        $desde=substr($mostrar[$dia],0,2).':'.substr($mostrar[$dia],2,2);
        $hasta=substr($mostrar[$dia],5,2).':'.substr($mostrar[$dia],7,2);
        $$dia= ucwords($dia).": ".$desde." a ".$hasta."<br>";
      }
    }
  $horario=$lunes.$martes.$miercoles.$jueves.$viernes.$sabado.$domingo;
  }
	echo json_encode("$nombre,$nombre_cargo,$nombre_departamento,$codigo_turno,$horario");
}else{
	if((isset($_POST['codigo'])) && ($_POST['consulta']) == 2){
		//Horas extras
    $codigo=$_POST['codigo'];
		$sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='horas_extras' AND id=".$_SESSION['id_validar']." AND (fecha_inicio_novedad BETWEEN '$fecha_inicio_periodo' AND '$fecha_fin_periodo') AND estado_novedad !='Rechazada' ORDER BY fecha_inicio_novedad ASC";
    $result=mysqli_query($enlace,$sql) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
    $json = array();
    while($row = mysqli_fetch_array($result)) {
      $json[] = array(
      'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
      'hora_ingreso' => utf8_encode(date("H:i" , strtotime($row['hora_ingreso']))),
      'hora_salida' => utf8_encode(date("H:i" , strtotime($row['hora_salida']))),
      'autorizado_por' => utf8_encode($row['autorizado_por']),
      'motivo' => $row['motivo'],
      'id_novedad' => utf8_encode($row['id_novedad']),
      'tipo_novedad' => utf8_encode($row['tipo_novedad']),
			'estado_novedad' => utf8_encode($row['estado_novedad'])
      );
    }
    echo json_encode($json);
	}else{
    if((isset($_POST['codigo'])) && ($_POST['consulta']) == 3){
			//Ausencias
      $codigo=$_POST['codigo'];
			$sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='Ausencias' AND id=".$_SESSION['id_validar']." AND (fecha_inicio_novedad BETWEEN '$fecha_inicio_periodo' AND '$fecha_fin_periodo' OR fecha_fin_novedad >= '$fecha_fin_periodo') AND estado_novedad !='Rechazada' ORDER BY fecha_inicio_novedad ASC";
      $result=mysqli_query($enlace,$sql);
      $json = array();
      while($row = mysqli_fetch_array($result)) {
        if ($row['clase_ausencia']=='Fuerza Mayor AJ')
          $clase_ausencia='Fuerza Mayor AJ';
        else if ($row['clase_ausencia']=='ausencia_medica')
          $clase_ausencia='ausencia_medica';
          else
          $clase_ausencia='Otra';

        $json[] = array(
        'clase_ausencia' => utf8_encode($clase_ausencia),
        'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
        'fecha_fin_novedad' => utf8_encode($row['fecha_fin_novedad']),
        'motivo' => $row['motivo'],
        'ausencia_programada' => utf8_encode($row['ausencia_programada']),
        'remunerado' => utf8_encode($row['remunerado']),
        'ausencia_medica' => utf8_encode($row['ausencia_medica']),
        'validado_por_sso' => utf8_encode($row['validado_por_sso']),
        'justificacion_ausencia' => utf8_encode($row['justificacion_ausencia']),
        'remunerado_ausencia' => utf8_encode($row['remunerado_ausencia']),
        'tiempo_viaje' => utf8_encode($row['tiempo_viaje']),
				'hora_llegada_ausencia' => utf8_encode(date("H:i" , strtotime($row['hora_ingreso']))),
				'hora_salida_ausencia' => utf8_encode(date("H:i" , strtotime($row['hora_salida']))),
        'tipo_permiso' => utf8_encode($row['tipo_permiso']),
        'id_novedad' => utf8_encode($row['id_novedad']),
				'estado_novedad' => utf8_encode($row['estado_novedad'])
        );
      }
      echo json_encode($json);
   	}else{
      if((isset($_POST['codigo'])) && ($_POST['consulta']) == 4){
				//Retardos
        $codigo=$_POST['codigo'];
				$sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='Retardos' AND id=".$_SESSION['id_validar']." AND (fecha_inicio_novedad BETWEEN '$fecha_inicio_periodo' AND '$fecha_fin_periodo') AND estado_novedad !='Rechazada' ORDER BY fecha_inicio_novedad ASC";
        $result=mysqli_query($enlace,$sql);
        $json = array();
        while($row = mysqli_fetch_array($result)) {
          $json[] = array(
          'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
					'hora_ingreso' => utf8_encode(date("H:i" , strtotime($row['hora_ingreso']))),
					'hora_salida' => utf8_encode(date("H:i" , strtotime($row['hora_salida']))),
          'motivo' => $row['motivo'],
          'remunerado' => utf8_encode($row['remunerado']),
          'ausencia_medica' => utf8_encode($row['ausencia_medica']),
          'validado_por_sso' => utf8_encode($row['validado_por_sso']),
          'justificacion_ausencia' => utf8_encode($row['justificacion_ausencia']),
          'tiempo_viaje' => utf8_encode($row['tiempo_viaje']),
					'hora_salida_ausencia' => utf8_encode(date("H:i" , strtotime($row['hora_salida']))),
					'hora_llegada_ausencia' => utf8_encode(date("H:i" , strtotime($row['hora_ingreso']))),
          'tipo_permiso' => utf8_encode($row['tipo_permiso']),
          'id_novedad' => utf8_encode($row['id_novedad']),
					'estado_novedad' => utf8_encode($row['estado_novedad'])
          );
      	}
        echo json_encode($json);
     	}else{
        if((isset($_POST['codigo'])) && ($_POST['consulta']) == 5){
          $codigo=$_POST['codigo'];
					$sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='Licencia' AND id=".$_SESSION['id_validar']." AND (fecha_inicio_novedad BETWEEN '$fecha_inicio_periodo' AND '$fecha_fin_periodo') AND estado_novedad !='Rechazada' ORDER BY fecha_inicio_novedad ASC";
          $result=mysqli_query($enlace,$sql);
          $json = array();
          while($row = mysqli_fetch_array($result)) {
            $json[] = array(
            'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
            'fecha_fin_novedad' => utf8_encode($row['fecha_fin_novedad']),
            'tipolicencia' => utf8_encode($row['tipolicencia']),
						'estado_novedad' => utf8_encode($row['estado_novedad'])
            );
          }
          echo json_encode($json);
       	}else{
          if((isset($_POST['codigo'])) && ($_POST['consulta']) == 6){
						//Salida anticipada
            $codigo=$_POST['codigo'];
						$sql="SELECT * from novedades where codigo='$codigo' and tipo_novedad='salida_anticipada' AND id=".$_SESSION['id_validar']." AND (fecha_inicio_novedad BETWEEN '$fecha_inicio_periodo' AND '$fecha_fin_periodo') AND estado_novedad !='Rechazada' ORDER BY fecha_inicio_novedad ASC";
            $result=mysqli_query($enlace,$sql);
            $json = array();
            while($row = mysqli_fetch_array($result)) {
              $json[] = array(
              'fecha_inicio_novedad' => utf8_encode($row['fecha_inicio_novedad']),
							'hora_salida' => utf8_encode(date("H:i" , strtotime($row['hora_salida']))),
              'motivo' => $row['motivo'],
              'remunerado' => utf8_encode($row['remunerado']),
              'id_novedad' => utf8_encode($row['id_novedad']),
							'estado_novedad' => utf8_encode($row['estado_novedad'])
              );
            }
            echo json_encode($json);
         	}else{
         		echo json_encode("error");
         	}
       	}
     	}
   	}
 	}
}
if (isset($result)) mysqli_free_result($result);
if (isset($result_tipo_dia)) mysqli_free_result($result_tipo_dia);
mysqli_close($enlace);
?>
